:root {
  --primary-colour: #1c1917;
  --text-colour-dark: #000;
  --text-colour-white: #fefefe;
  --bg-colour-white: #fff;
  --btn-colour: #297aa7;
}

/**************************/
/* BELOW 1920px  */
/**************************/
@media (max-width: 120em) and (orientation: landscape) {
}

@media (max-width: 120em) {
}

/**************************/
/* BELOW 1904px  */
/**************************/
@media (max-width: 119em) {
}

/**************************/
/* BELOW 1376px (Smaller desktops) */
/**************************/
@media (max-width: 86em) and (orientation: landscape) {
  .slide__text {
    bottom: 10%;
  }
}

/**************************/
/* BELOW 1376px both orientation */
/**************************/
@media (max-width: 86em) {
  .main-nav-list {
    gap: 8rem;
  }
}

/**************************/
/* BELOW 1360px (Smaller desktops) */
/**************************/
@media (max-width: 85em) and (orientation: landscape) {
  .slide__text {
    left: 6%;
  }
}

/**************************/
/* BELOW 1360px (both orientations) */
/**************************/
@media (max-width: 85em) {
}

/**************************/
/* BELOW 1280px  */
/**************************/
@media (max-width: 80em) and (orientation: landscape) {
}

@media (max-width: 80em) {
  .all-testimonials {
    display: flex;
    flex-direction: column;
    gap: 8rem;
  }

  .discover-img {
    filter: grayscale(0);
    -webkit-filter: grayscale(0);
  }
}

/**************************/
/* BELOW 1152px - done */
/**************************/
@media (max-width: 72em) {
  .header-home {
    justify-content: space-between;
  }

  /* MOBILE NAVIGATION */
  .btn-mobile-nav {
    display: block;
    z-index: 9999;
    padding-right: 4rem;
  }

  .main-nav {
    background: var(--bg-colour-white);
    /* background: var(--text-colour-dark); */
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(10px);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;

    display: flex;
    align-items: center;
    justify-content: center;

    transition: all 0.5s ease-in;

    /* Hide navigation */
    /* Allows NO transition at all */
    /* display: none; */

    /* 1) Hide it visually */
    opacity: 0;

    /* 2) Make it unaccessible to mouse and keyboard */
    pointer-events: none;

    /* 3) Hide it from screen readers */
    visibility: hidden;
  }

  .nav-open .main-nav {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
    transform: translateX(0);
  }

  .language,
  .bokun-button-container-header {
  }

  .language-bokun-container {
    /* 1) Hide it visually */
    opacity: 0;

    /* 2) Make it unaccessible to mouse and keyboard */
    pointer-events: none;

    /* 3) Hide it from screen readers */
    visibility: hidden;
  }

  .nav-open .language-bokun-container {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
    transform: translateX(-50%);
    padding-right: 0;
    position: absolute;
    left: 50%;
    padding-top: 5rem;
    /* flex-direction: column; */
  }

  .icon-mobile-nav {
    color: var(--text-colour-dark);
  }

  .nav-open .icon-mobile-nav[name="close-outline"] {
    display: block;
    color: var(--text-colour-dark);
  }

  .nav-open .icon-mobile-nav[name="menu-outline"] {
    display: none;
  }

  .main-nav-list {
    flex-direction: column;
    gap: 8rem;
    padding-right: 0;
  }

  .main-nav-link:link,
  .main-nav-link:visited,
  .current-page,
  .symbol {
    color: var(--text-colour-dark);
    font-size: 2.4rem;
    font-weight: 700;
    text-shadow: none;
  }

  .main-nav-link.nav-cta:link,
  .main-nav-link.nav-cta:visited {
    padding: 1.5rem 3rem;
  }

  .logo-container {
    padding-left: 4rem;
  }

  .primary-heading {
    font-size: 4.8rem;
  }

  .index-feature-text-container {
    padding-left: 6rem;
  }

  .index-feature-text {
    /* font-size: 2.4rem; */
    padding-right: 6rem;
  }

  .z-pattern-4-3-container {
    /* width: 80%; */
    /* width: 65%; */
    width: 75%;
    margin: 0 auto;
    grid-template-columns: auto;
    grid-template-rows: auto;
  }

  .z-pattern-4-3-img:nth-child(4),
  .z-pattern-4-3-container picture:nth-child(4) {
    grid-row: 3;
  }

  .z-pattern-4-3-img:nth-child(8),
  .z-pattern-4-3-container picture:nth-child(8) {
    grid-row: 7;
  }

  .z-pattern-4-3-img:nth-child(12),
  .z-pattern-4-3-container picture:nth-child(12) {
    grid-row: 11;
  }

  /* .z-pattern-4-3-text {
    text-align: center;
    padding-left: 0rem;
    padding-right: 0rem;
    padding-top: 3.2rem;
    justify-items: center;
    font-size: 2.2rem;
  } */

  .z-pattern-4-3-text {
    display: flex;
    flex-direction: column;
    align-items: center; /* center everything horizontally */
    /* text-align: left;  */
    padding-top: 3.2rem;
    /* padding-top: 2rem; */
    padding-left: 0;
    padding-right: 0;
    justify-content: center;
  }

  .z-pattern-4-3-text h3 {
    text-align: center; /* center the heading only */
    font-size: 3rem;
    margin-bottom: 2rem;
  }

  /* .z-pattern-list {
    list-style: none;
    padding: 0;
    margin: 0 auto;
  } */

  .z-pattern-list {
    list-style: disc;
    list-style-position: inside; /* makes wrapped lines align under text */
    list-style-position: outside; /* makes wrapped lines align under text */
    padding-left: 0;
    margin: 0 auto;
    padding-top: 0;
  }

  .z-pattern-list-text {
    list-style-position: outside; /* makes wrapped lines align under text */

    /* font-size: 2.2rem; */
    font-size: 2rem;
    margin-bottom: 1rem;
    text-align: left;
    max-width: 60ch; /* optional: keeps nice readable width */
  }

  .button-download {
    margin-top: 2rem;
  }

  .right-align {
    justify-self: center;
    /* align-self: end; */
  }

  .z-pattern-4-3-text:not(:last-child) {
    padding-bottom: 18rem;
  }

  .footer-container-1 {
    padding-top: 8rem;
    flex-direction: column;
    align-items: center;
    /* gap: 12rem; */
    gap: 8rem;
  }

  .footer-logo {
    width: auto;
  }

  .footer-contact {
    width: auto;
  }

  .footer-contact-item {
    width: auto;
  }

  .copyright {
    padding-top: 4rem;
  }

  .bokun-button-container-2,
  .bokun-2 {
    margin-top: -10rem;
  }

  .bokun-button-container-1 {
    display: flex;
    padding-top: 8rem;
    padding-bottom: 2rem;
  }

  .bokun-1 {
    display: inline-block;
  }
}

/**************************/
/* BELOW 1072px   */
/**************************/
@media (max-width: 67em) {
  .slide__text {
    bottom: 12%;
  }

  .contact-heading {
    font-size: 3.6rem;
  }

  .contact-text,
  .contact-sms-text {
    font-size: 2rem;
    letter-spacing: 1px;
  }

  .tel-email-container {
    flex-direction: column;
    gap: 9.6rem;
  }
}

/**************************/
/* BELOW 1000px  */
/**************************/

@media (max-width: 62.5em) {
  .index-feature-text {
    font-size: 2.4rem;
  }
}

/**************************/
/* BELOW 960px - done */
/**************************/

@media (max-width: 60em) {
  .heading-sub {
    font-size: 2.8rem;
    line-height: 1.5;
  }
}

@media (max-width: 60em) and (orientation: landscape) {
  /* .main-nav-list {
    flex-direction: row;

    gap: 5rem;
    padding-right: 0;
  } */
  .slide__text {
    font-size: 4rem;
    bottom: 20%;
  }
}

/**************************/
/* (mobile landscape -1) */
/**************************/
@media (min-width: 900px) and (max-width: 960px) and (orientation: landscape) {
  .main-nav-list {
    flex-direction: row;
  }
}

/**************************/
/* BELOW 896px - done */
/**************************/

@media (max-width: 56em) {
  .index-feature-text-container {
    padding-left: 4rem;
  }

  .index-feature-text {
    font-size: 2.2rem;
  }
}

/**************************/
/* (mobile landscape -2) */
/**************************/
@media (min-width: 800px) and (max-width: 880px) and (orientation: landscape) {
  .main-nav-list {
    flex-direction: row;
  }
}

/**************************/
/* BELOW 848px */
/**************************/

@media (max-width: 53em) {
  .slide__text {
    font-size: 4rem;
  }

  .discover-grid,
  .discover-grid-2 {
    display: flex;
    flex-direction: column;
  }

  .discover-item {
    height: 40rem;
  }

  .discover-img {
    height: 100%;
    width: 100%;
    object-fit: cover;
  }

  .korean-hero-line-break {
    display: none;
  }

  .nav-open .language-bokun-container {
    padding-top: 20rem;
    flex-direction: column-reverse;
    gap: 6rem;
  }

  .bokunButton-header {
    padding: 2rem 4rem;
    font-size: 20px;
  }
}

@media (max-width: 53em) and (orientation: landscape) {
}

/**************************/
/* iPhone 14 844px - Landscape */
/**************************/
@media (min-width: 843px) and (max-width: 844px) {
  /* .slider {
    height: 65vh;
  } */

  .slide__text {
    font-size: 3.2rem;
  }
}

/**************************/
/* iPad Air 820px orientation: portrait */
/**************************/

@media (min-width: 819px) and (max-width: 820px) and (orientation: portrait) {
  .slide__text {
    left: 5%;
    /* left: 12%; */
    bottom: 18%;
  }
}

/**************************/
/* BELOW 784px */
/**************************/
@media (max-width: 49em) {
  .slide__text {
    bottom: 16%;
    font-size: 4.6rem;
  }

  .z-pattern-4-3-text-body-right {
    padding-right: 0;
  }

  .z-pattern-4-3-text {
    font-size: 2rem;
  }

  .home-about-description-text {
    font-size: 1.8rem;
  }
}

/**************************/
/* BELOW 720px */
/**************************/
@media (max-width: 45em) {
  .z-pattern-4-3-container {
    /* width: 80%; */
    width: 75%;
    padding-bottom: 0;
  }

  .section-testimonials {
    padding-left: 3rem;
    padding-right: 3rem;
    /* padding-top: 3rem; */
  }

  .gallery-heading {
    font-size: 3rem;
  }

  .home-about-description::before {
    width: 150%;
    height: 50%;
  }

  .contact-text {
    padding-left: 2rem;
    padding-right: 2rem;
    text-align: center;
    line-height: 1.5;
  }

  .btn-mobile-nav {
    padding-right: 2rem;
  }

  .slide__text {
    padding-right: 6rem;
  }
}

/**************************/
/* BELOW 624px */
/**************************/
@media (max-width: 39em) {
  .slide__text {
    font-size: 4rem;
  }

  .index-feature-text {
    /* white-space: pre-line; */
    width: 90%;
    white-space: normal;
  }

  .z-pattern-4-3-container {
    width: 80%;
    /* width: 75%; */
  }

  .contact-heading {
    font-size: 3rem;
  }

  .contact-text span {
    font-size: 2rem;
  }

  .contact-text {
    font-size: 2rem;
  }

  .contact-break-special-1 {
    display: block;
  }

  .contact-text {
    font-size: 2rem;
  }

  .contact-link-map:link,
  .contact-link-map:visited {
    font-size: 2rem;
  }
}

/**************************/
/* BELOW 528px */
/**************************/
@media (max-width: 33em) {
  .primary-heading {
    font-size: 4rem;
  }

  .all-testimonials {
    padding-top: 1rem;
  }

  .testimonial {
    padding-left: 1rem;
    padding-right: 1rem;
    gap: 1rem;
  }

  .testimonial-text {
    font-size: 1.6rem;
    line-height: 1.5;
  }

  .home-about-description::before {
    width: 200%;
    height: 50%;
  }
}

/**************************/
/* BELOW 480px */
/**************************/
@media (max-width: 30em) {
  .slide__text {
    bottom: 12%;
    /* font-size: 3.6rem; */
    font-size: 3.2rem;
    padding-right: 3rem;
    /* white-space: nowrap; */
  }

  .index-feature-heading {
    font-size: 3.8rem;
  }

  .index-feature-text {
    font-size: 2rem;
    padding-right: 2rem;
  }

  .z-pattern-4-3-container {
    width: 90%;
    /* width: 75%; */
  }

  .discover-item {
    height: 30rem;
  }

  .nav-open .language {
    /* padding-top: 20rem; */
    white-space: nowrap;
  }

  .gallery-heading {
    font-size: 2.6rem;
  }

  .home-about-description::before {
    /* width: 300%;
    height: 50%; */
    width: 50%;
    height: 300%;
  }

  .home-about-description {
    padding: 3rem;
  }

  .z-pattern-list {
    padding-left: 3rem;
    padding-right: 2.5rem;
    /* text-indent: 3rem; */
  }

  .main-nav-list {
    /* flex-direction: column;
    gap: 8rem; */
    padding-top: 8rem;
  }
}

/**************************/
/* BELOW 432px */
/**************************/
@media (max-width: 27em) {
  .slide__text {
    font-size: 3.2rem;
    line-height: 1.4;
  }

  .logo-container {
    padding-left: 2rem;
  }

  .language-bokun-container {
    display: none;
  }

  .nav-open .language-bokun-container {
    display: flex;
  }
}

/**************************/
/* BELOW 416px */
/**************************/
@media (max-width: 26em) {
  .primary-heading {
    font-size: 3rem;
  }
}

/**************************/
/* BELOW 400px */
/**************************/

@media (max-width: 25em) {
  .slide__text {
    font-size: 2.6rem;
    left: 4%;
    bottom: 15%;
  }

  .copyright {
    padding-left: 1.6rem;
    padding-right: 1.6rem;
  }

  .footer-social-logo {
    height: 3rem;

    width: 3rem;
  }

  .social-icon {
    height: 3rem;
    width: 3rem;
  }

  .social {
    gap: 2.4rem;
  }

  .sticky .header-home {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;

    /* prevent accidental horizontal overflow */
    width: 100vw;
    max-width: 100vw;
  }

  /* .main-nav {
    width: 100vw;
    max-width: 100vw;
  } */

  /* .nav-open .main-nav {
    background-color: var(--btn-colour);
  } */

  .whatsapp-img {
    width: 30rem;
  }
}

/**************************/
/* BELOW 368px */
/**************************/
@media (max-width: 23em) {
}

/**************************/
/* BELOW 352px */
/**************************/
@media (max-width: 22em) {
  .slide__text {
    font-size: 2rem;
    left: 4%;
  }

  .discover-item {
    height: 25rem;
  }

  .home-about-description::before {
    width: 50%;
    height: 300%;
  }

  .contact-tel-number {
    padding-left: 2rem;
    padding-right: 2rem;
    text-align: center;
    line-height: 1.5;
  }
}

/**************************/
/* BELOW 320px */
/**************************/
@media (max-width: 20em) {
  .logo-container {
    padding-left: 0.5rem;
  }

  .footer-container-1 {
    padding: 3rem;
  }

  .btn-mobile-nav {
    padding-right: 0;
  }

  .whatsapp-img {
    width: 20rem;
  }
}

/**************************/
/* BELOW 288px */
/**************************/
@media (max-width: 18em) {
}
